- Qt 5.15
- Qt 3D
- C++ Classes
- QTorusGeometry
- Qt 5.15.11 Reference Documentation

# QTorusGeometry Class

class Qt3DExtras::QTorusGeometry

The QTorusGeometry class allows creation of a torus in 3D space. * * * * * The QTorusGeometry class is most commonly used internally by the QTorusMesh * but can also be used in custom Qt3DRender::QGeometryRenderer subclasses. More...

Header: | #include <Qt3DExtras/QTorusGeometry>
qmake: | QT += 3dextras
Since: | Qt 5.7
Instantiated By: | TorusGeometry
Inherits: | Qt3DRender::QGeometry

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- indexAttribute : Qt3DRender::QAttribute* const
- minorRadius : float
- normalAttribute : Qt3DRender::QAttribute* const
- positionAttribute : Qt3DRender::QAttribute* const

- radius : float
- rings : int
- slices : int
- texCoordAttribute : Qt3DRender::QAttribute* const

## Public Functions

| QTorusGeometry(QNode *parent = nullptr)
Qt3DRender::QAttribute * | indexAttribute() const
float | minorRadius() const
Qt3DRender::QAttribute * | normalAttribute() const
Qt3DRender::QAttribute * | positionAttribute() const
float | radius() const
int | rings() const
int | slices() const
Qt3DRender::QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()

## Public Slots

void | setMinorRadius(float minorRadius)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

## Signals

void | minorRadiusChanged(float minorRadius)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

## Detailed Description

* * * *

## Property Documentation

### indexAttribute : Qt3DRender::QAttribute* const

Holds the geometry index attribute.

Access functions:

Qt3DRender::QAttribute * | indexAttribute() const

### minorRadius : float

Holds the inner radius of the torus.

Access functions:

float | minorRadius() const
void | setMinorRadius(float minorRadius)

Notifier signal:

void | minorRadiusChanged(float minorRadius)

### normalAttribute : Qt3DRender::QAttribute* const

Holds the geometry normal attribute.

Access functions:

Qt3DRender::QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute* const

Holds the geometry position attribute.

Access functions:

Qt3DRender::QAttribute * | positionAttribute() const

### radius : float

Holds the outer radius of the torus.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the torus.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the torus.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

### texCoordAttribute : Qt3DRender::QAttribute* const

Holds the geometry texture coordinate attribute.

Access functions:

Qt3DRender::QAttribute * | texCoordAttribute() const

## Member Function Documentation

### QTorusGeometry::QTorusGeometry(QNode *parent = nullptr)

Constructs a new QTorusGeometry with parent.

### void QTorusGeometry::updateIndices()

Updates indices based on rings and slices properties.

### void QTorusGeometry::updateVertices()

Updates vertices based on rings, slices, and radius properties.